Subject: bug#6514: closed (Re: bug#6514: cursor movement around unicode bug)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Mar 2012 02:13:03 +0000

Your bug report

#6514: cursor movement around unicode bug

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6514: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6514
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6514: cursor movement around unicode bug
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 28 Mar 2012 21:41:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.1

Eli Zaretskii wrote:

> I can easily reproduce this in Emacs 23.2 (which was where this bug
> was originally reported), but not with the current trunk, nor with
> Emacs 24.0.94.  So I think this bug was fixed some time in between.

Subject: cursor movement around unicode bug
From: "Xah Lee" <[email-masked]>
To: <[email-masked]>
Date: Fri, 25 Jun 2010 13:17:18 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

create a file with the following 2 lines of unicode char.

⇒⇒⇒⇒
⇒⇒⇒⇒

(these are just repeated character of unicode #x21d2)

place your cursor in one of the arrow. Move your cursor left and right. 
Then, press arrow up or down to move cursor to the next line.

Expected behavior is that they move to the same column as the previous line.

What actually happens is that the cursor got moved one column less. That is, 
more to the left.

Might try to move around the arrow a bit in order to reproduce this problem. 
I think you might have to move cursor left rigt on the same line first.

  Xah
∑ http://xahlee.org/

☄

In GNU Emacs 23.2.1 (i386-mingw-nt6.0.6002) of 2010-05-08 on G41R2F1
ErgoEmacs distribution 1.8.1
Windowing system distributor `Microsoft Corp.', version 6.0.6002
configured using `configure --with-gcc 
(3.4) --no-opt --cflags -Ic:/xpm/include'

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  text-scale-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  iswitchb-mode: t
  show-paren-mode: t
  desktop-save-mode: t
  savehist-mode: t
  pretty-control-l-mode: t
  command-frequency-autosave-mode: t
  command-frequency-mode: t
  yas/global-mode: t
  yas/minor-mode: t
  ergoemacs-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t